diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wifi/test/wifi-mlo-test.cc ns-3.38/src/wifi/test/wifi-mlo-test.cc
--- ns-3.37/src/wifi/test/wifi-mlo-test.cc	2022-11-01 17:37:24.763395800 -0700
+++ ns-3.38/src/wifi/test/wifi-mlo-test.cc	2023-03-16 20:54:23.872869300 -0700
@@ -726,21 +921,23 @@
                               "STA " << staAddr << " not found in list of associated STAs");
 
         // STA of non-AP MLD operate on the same channel as the AP
-        NS_TEST_EXPECT_MSG_EQ(+m_staMac->GetWifiPhy(staLinkId)->GetOperatingChannel().GetNumber(),
-                              +m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetNumber(),
-                              "Incorrect operating channel number for STA on link " << +staLinkId);
-        NS_TEST_EXPECT_MSG_EQ(m_staMac->GetWifiPhy(staLinkId)->GetOperatingChannel().GetFrequency(),
-                              m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetFrequency(),
-                              "Incorrect operating channel frequency for STA on link "
-                                  << +staLinkId);
-        NS_TEST_EXPECT_MSG_EQ(m_staMac->GetWifiPhy(staLinkId)->GetOperatingChannel().GetWidth(),
+        NS_TEST_EXPECT_MSG_EQ(
+            +m_staMacs[0]->GetWifiPhy(staLinkId)->GetOperatingChannel().GetNumber(),
+            +m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetNumber(),
+            "Incorrect operating channel number for STA on link " << +staLinkId);
+        NS_TEST_EXPECT_MSG_EQ(
+            m_staMacs[0]->GetWifiPhy(staLinkId)->GetOperatingChannel().GetFrequency(),
+            m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetFrequency(),
+            "Incorrect operating channel frequency for STA on link " << +staLinkId);
+        NS_TEST_EXPECT_MSG_EQ(m_staMacs[0]->GetWifiPhy(staLinkId)->GetOperatingChannel().GetWidth(),
                               m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetWidth(),
                               "Incorrect operating channel width for STA on link " << +staLinkId);
-        NS_TEST_EXPECT_MSG_EQ(+m_staMac->GetWifiPhy(staLinkId)->GetOperatingChannel().GetPhyBand(),
-                              +m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetPhyBand(),
-                              "Incorrect operating PHY band for STA on link " << +staLinkId);
         NS_TEST_EXPECT_MSG_EQ(
-            +m_staMac->GetWifiPhy(staLinkId)->GetOperatingChannel().GetPrimaryChannelIndex(20),
+            +m_staMacs[0]->GetWifiPhy(staLinkId)->GetOperatingChannel().GetPhyBand(),
+            +m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetPhyBand(),
+            "Incorrect operating PHY band for STA on link " << +staLinkId);
+        NS_TEST_EXPECT_MSG_EQ(
+            +m_staMacs[0]->GetWifiPhy(staLinkId)->GetOperatingChannel().GetPrimaryChannelIndex(20),
             +m_apMac->GetWifiPhy(apLinkId)->GetOperatingChannel().GetPrimaryChannelIndex(20),
             "Incorrect operating primary channel index for STA on link " << +staLinkId);
     }
